package com.inkasso.factoring.invoicemanage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 发票管理-货物历史信息表
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("invoice_his_goods_info")
public class InvoiceHisGoodsInfo extends BaseEntity {

    /**
     * 发票历史信息表ID
     **/
    @TableField(value = "invoice_his_info_id")
    private Long invoiceHisInfoId;
    /**
     * 结算单基础信息表ID
     **/
    @TableField(value = "settlement_basic_info_id")
    private Long settlementBasicInfoId;
    /**
     * 结算单货物信息表ID
     **/
    @TableField(value = "settlement_goods_info_id")
    private Long settlementGoodsInfoId;
    /**
     * 结算单编号
     */
    @TableField(value = "settlement_number")
    private String settlementNumber;
    /**
     * 货物名称
     **/
    @TableField(value = "goods_name")
    private String goodsName;
    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;
    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;
    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;
    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;
    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;
    /**
     * 销售总价
     */
    @TableField("sales_total_price")
    private BigDecimal salesTotalPrice;
    /**
     * 开票数量
     */
    @TableField("open_quantity")
    private BigDecimal openQuantity;
    /**
     * 销售总价
     */
    @TableField("open_amount")
    private BigDecimal openAmount;

    /**
     * 已开票数量
     */
    @TableField(exist = false)
    private BigDecimal usedNum;

    public InvoiceHisGoodsInfo() {
    }

    public String getSettlementNumber() {
        return settlementNumber;
    }

    public void setSettlementNumber(String settlementNumber) {
        this.settlementNumber = settlementNumber;
    }

    public Long getInvoiceHisInfoId() {
        return invoiceHisInfoId;
    }

    public void setInvoiceHisInfoId(Long invoiceHisInfoId) {
        this.invoiceHisInfoId = invoiceHisInfoId;
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public Long getSettlementGoodsInfoId() {
        return settlementGoodsInfoId;
    }

    public void setSettlementGoodsInfoId(Long settlementGoodsInfoId) {
        this.settlementGoodsInfoId = settlementGoodsInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getOpenQuantity() {
        return openQuantity;
    }

    public void setOpenQuantity(BigDecimal openQuantity) {
        this.openQuantity = openQuantity;
    }

    public BigDecimal getOpenAmount() {
        return openAmount;
    }

    public void setOpenAmount(BigDecimal openAmount) {
        this.openAmount = openAmount;
    }

    public BigDecimal getUsedNum() {
        return usedNum;
    }

    public void setUsedNum(BigDecimal usedNum) {
        this.usedNum = usedNum;
    }
}
